import { EmbeddedEditorFile, StateControl } from "@kie-tools-core/editor/dist/channel";
import { MessageBusClientApi } from "@kie-tools-core/envelope-bus/dist/api";
import { ServerlessWorkflowDiagramEditorEnvelopeApi } from "@kie-tools/serverless-workflow-diagram-editor-envelope/dist/api";
import { ServerlessWorkflowTextEditorChannelApi } from "@kie-tools/serverless-workflow-text-editor/dist/api";
import { ServerlessWorkflowTextEditorChannelApiImpl } from "../../impl/ServerlessWorkflowTextEditorChannelApiImpl";
export declare function useSwfTextEditorChannelApi(args: {
    locale: string;
    channelApi?: MessageBusClientApi<ServerlessWorkflowTextEditorChannelApi>;
    embeddedEditorFile?: EmbeddedEditorFile;
    onEditorReady: () => void;
    swfDiagramEditorEnvelopeApi?: MessageBusClientApi<ServerlessWorkflowDiagramEditorEnvelopeApi>;
}): {
    stateControl: StateControl;
    channelApi: ServerlessWorkflowTextEditorChannelApiImpl | undefined;
};
//# sourceMappingURL=useSwfTextEditorChannelApi.d.ts.map