"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServerlessWorkflowTextEditorChannelApiImpl = void 0;
var ServerlessWorkflowTextEditorChannelApiImpl = (function () {
    function ServerlessWorkflowTextEditorChannelApiImpl(defaultApiImpl, channelApi, swfServiceCatalogApiImpl, diagramEditorEnvelopeApi) {
        this.defaultApiImpl = defaultApiImpl;
        this.channelApi = channelApi;
        this.swfServiceCatalogApiImpl = swfServiceCatalogApiImpl;
        this.diagramEditorEnvelopeApi = diagramEditorEnvelopeApi;
    }
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoEditor_contentRequest = function () {
        return this.defaultApiImpl.kogitoEditor_contentRequest();
    };
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoEditor_ready = function () {
        this.defaultApiImpl.kogitoEditor_ready();
    };
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoEditor_setContentError = function (content) {
        this.defaultApiImpl.kogitoEditor_setContentError(content);
    };
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoEditor_stateControlCommandUpdate = function (command) {
        this.defaultApiImpl.kogitoEditor_stateControlCommandUpdate(command);
    };
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoGuidedTour_guidedTourRegisterTutorial = function (tutorial) {
        this.defaultApiImpl.kogitoGuidedTour_guidedTourRegisterTutorial(tutorial);
    };
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoGuidedTour_guidedTourUserInteraction = function (userInteraction) {
        this.defaultApiImpl.kogitoGuidedTour_guidedTourUserInteraction(userInteraction);
    };
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoI18n_getLocale = function () {
        return this.defaultApiImpl.kogitoI18n_getLocale();
    };
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoNotifications_createNotification = function (notification) {
        this.defaultApiImpl.kogitoNotifications_createNotification(notification);
    };
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoNotifications_removeNotifications = function (path) {
        this.defaultApiImpl.kogitoNotifications_removeNotifications(path);
    };
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoNotifications_setNotifications = function (path, notifications) {
        this.defaultApiImpl.kogitoNotifications_setNotifications(path, notifications);
    };
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoWorkspace_newEdit = function (edit) {
        this.defaultApiImpl.kogitoWorkspace_newEdit(edit);
    };
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoWorkspace_openFile = function (path) {
        this.defaultApiImpl.kogitoWorkspace_openFile(path);
    };
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoWorkspace_resourceContentRequest = function (request) {
        return this.defaultApiImpl.kogitoWorkspace_resourceContentRequest(request);
    };
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoWorkspace_resourceListRequest = function (request) {
        return this.defaultApiImpl.kogitoWorkspace_resourceListRequest(request);
    };
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoEditor_theme = function () {
        return this.defaultApiImpl.kogitoEditor_theme();
    };
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoSwfServiceCatalog_serviceRegistriesSettings = function () {
        return {
            defaultValue: { registries: [] },
        };
    };
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoSwfServiceCatalog_services = function () {
        var _a, _b;
        return (_b = (_a = this.swfServiceCatalogApiImpl) === null || _a === void 0 ? void 0 : _a.kogitoSwfServiceCatalog_services()) !== null && _b !== void 0 ? _b : { defaultValue: [] };
    };
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoSwfServiceCatalog_refresh = function () {
        this.channelApi.notifications.kogitoSwfServiceCatalog_refresh.send();
    };
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoSwfServiceCatalog_importFunctionFromCompletionItem = function (args) {
        this.channelApi.notifications.kogitoSwfServiceCatalog_importFunctionFromCompletionItem.send(args);
    };
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoSwfServiceCatalog_logInServiceRegistries = function () {
        this.channelApi.notifications.kogitoSwfServiceCatalog_logInServiceRegistries.send();
    };
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoSwfLanguageService__getCompletionItems = function (args) {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                return [2, this.channelApi.requests.kogitoSwfLanguageService__getCompletionItems(args)];
            });
        });
    };
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoSwfLanguageService__getCodeLenses = function (args) {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                return [2, this.channelApi.requests.kogitoSwfLanguageService__getCodeLenses(args)];
            });
        });
    };
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoSwfServiceCatalog_setupServiceRegistriesSettings = function () {
        this.channelApi.notifications.kogitoSwfServiceCatalog_setupServiceRegistriesSettings.send();
    };
    ServerlessWorkflowTextEditorChannelApiImpl.prototype.kogitoSwfTextEditor__onSelectionChanged = function (args) {
        var _a;
        (_a = this.diagramEditorEnvelopeApi) === null || _a === void 0 ? void 0 : _a.notifications.kogitoSwfDiagramEditor__highlightNode.send(args);
    };
    return ServerlessWorkflowTextEditorChannelApiImpl;
}());
exports.ServerlessWorkflowTextEditorChannelApiImpl = ServerlessWorkflowTextEditorChannelApiImpl;
//# sourceMappingURL=ServerlessWorkflowTextEditorChannelApiImpl.js.map