import { MessageBusClientApi, SharedValueProvider } from "@kie-tools-core/envelope-bus/dist/api";
import { SwfServiceCatalogChannelApi, SwfServiceCatalogService, SwfServiceRegistriesSettings } from "@kie-tools/serverless-workflow-service-catalog/dist/api";
export declare class SwfServiceCatalogChannelApiImpl implements SwfServiceCatalogChannelApi {
    private readonly channelApi;
    private readonly services;
    private readonly serviceRegistriesSettings;
    constructor(channelApi: MessageBusClientApi<SwfServiceCatalogChannelApi>, services: SwfServiceCatalogService[], serviceRegistriesSettings: SwfServiceRegistriesSettings);
    kogitoSwfServiceCatalog_services(): SharedValueProvider<SwfServiceCatalogService[]>;
    kogitoSwfServiceCatalog_serviceRegistriesSettings(): SharedValueProvider<SwfServiceRegistriesSettings>;
    kogitoSwfServiceCatalog_refresh(): void;
    kogitoSwfServiceCatalog_importFunctionFromCompletionItem(args: {
        containingService: SwfServiceCatalogService;
        documentUri: string;
    }): void;
    kogitoSwfServiceCatalog_logInServiceRegistries(): void;
    kogitoSwfServiceCatalog_setupServiceRegistriesSettings(): void;
}
//# sourceMappingURL=SwfServiceCatalogChannelApiImpl.d.ts.map