"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SwfServiceCatalogChannelApiImpl = void 0;
var SwfServiceCatalogChannelApiImpl = (function () {
    function SwfServiceCatalogChannelApiImpl(channelApi, services, serviceRegistriesSettings) {
        this.channelApi = channelApi;
        this.services = services;
        this.serviceRegistriesSettings = serviceRegistriesSettings;
    }
    SwfServiceCatalogChannelApiImpl.prototype.kogitoSwfServiceCatalog_services = function () {
        return {
            defaultValue: this.services,
        };
    };
    SwfServiceCatalogChannelApiImpl.prototype.kogitoSwfServiceCatalog_serviceRegistriesSettings = function () {
        return {
            defaultValue: this.serviceRegistriesSettings,
        };
    };
    SwfServiceCatalogChannelApiImpl.prototype.kogitoSwfServiceCatalog_refresh = function () {
        this.channelApi.notifications.kogitoSwfServiceCatalog_refresh.send();
    };
    SwfServiceCatalogChannelApiImpl.prototype.kogitoSwfServiceCatalog_importFunctionFromCompletionItem = function (args) {
        this.channelApi.notifications.kogitoSwfServiceCatalog_importFunctionFromCompletionItem.send(args);
    };
    SwfServiceCatalogChannelApiImpl.prototype.kogitoSwfServiceCatalog_logInServiceRegistries = function () {
        this.channelApi.notifications.kogitoSwfServiceCatalog_logInServiceRegistries.send();
    };
    SwfServiceCatalogChannelApiImpl.prototype.kogitoSwfServiceCatalog_setupServiceRegistriesSettings = function () {
        this.channelApi.notifications.kogitoSwfServiceCatalog_setupServiceRegistriesSettings.send();
    };
    return SwfServiceCatalogChannelApiImpl;
}());
exports.SwfServiceCatalogChannelApiImpl = SwfServiceCatalogChannelApiImpl;
//# sourceMappingURL=SwfServiceCatalogChannelApiImpl.js.map