import { EmbeddedEditorFile, StateControl } from "@kie-tools-core/editor/dist/channel";
import { MessageBusClientApi } from "@kie-tools-core/envelope-bus/dist/api";
import { ServerlessWorkflowDiagramEditorChannelApi } from "@kie-tools/serverless-workflow-diagram-editor-envelope/dist/api";
import { ServerlessWorkflowTextEditorEnvelopeApi } from "@kie-tools/serverless-workflow-text-editor/dist/api";
import { ServerlessWorkflowDiagramEditorChannelApiImpl } from "../../impl/ServerlessWorkflowDiagramEditorChannelApiImpl";
export declare function useSwfDiagramEditorChannelApi(args: {
    locale: string;
    channelApi?: MessageBusClientApi<ServerlessWorkflowDiagramEditorChannelApi>;
    embeddedEditorFile?: EmbeddedEditorFile;
    onEditorReady: () => void;
    swfTextEditorEnvelopeApi?: MessageBusClientApi<ServerlessWorkflowTextEditorEnvelopeApi>;
}): {
    stateControl: StateControl;
    channelApi: ServerlessWorkflowDiagramEditorChannelApiImpl | undefined;
};
//# sourceMappingURL=useSwfDiagramEditorChannelApi.d.ts.map