"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServerlessWorkflowDiagramEditorChannelApiImpl = void 0;
var ServerlessWorkflowDiagramEditorChannelApiImpl = (function () {
    function ServerlessWorkflowDiagramEditorChannelApiImpl(defaultApiImpl, textEditorEnvelopeApi) {
        this.defaultApiImpl = defaultApiImpl;
        this.textEditorEnvelopeApi = textEditorEnvelopeApi;
    }
    ServerlessWorkflowDiagramEditorChannelApiImpl.prototype.kogitoEditor_contentRequest = function () {
        return this.defaultApiImpl.kogitoEditor_contentRequest();
    };
    ServerlessWorkflowDiagramEditorChannelApiImpl.prototype.kogitoEditor_ready = function () {
        this.defaultApiImpl.kogitoEditor_ready();
    };
    ServerlessWorkflowDiagramEditorChannelApiImpl.prototype.kogitoEditor_setContentError = function (content) {
        this.defaultApiImpl.kogitoEditor_setContentError(content);
    };
    ServerlessWorkflowDiagramEditorChannelApiImpl.prototype.kogitoEditor_stateControlCommandUpdate = function (command) {
        this.defaultApiImpl.kogitoEditor_stateControlCommandUpdate(command);
    };
    ServerlessWorkflowDiagramEditorChannelApiImpl.prototype.kogitoGuidedTour_guidedTourRegisterTutorial = function (tutorial) {
        this.defaultApiImpl.kogitoGuidedTour_guidedTourRegisterTutorial(tutorial);
    };
    ServerlessWorkflowDiagramEditorChannelApiImpl.prototype.kogitoGuidedTour_guidedTourUserInteraction = function (userInteraction) {
        this.defaultApiImpl.kogitoGuidedTour_guidedTourUserInteraction(userInteraction);
    };
    ServerlessWorkflowDiagramEditorChannelApiImpl.prototype.kogitoI18n_getLocale = function () {
        return this.defaultApiImpl.kogitoI18n_getLocale();
    };
    ServerlessWorkflowDiagramEditorChannelApiImpl.prototype.kogitoNotifications_createNotification = function (notification) {
        this.defaultApiImpl.kogitoNotifications_createNotification(notification);
    };
    ServerlessWorkflowDiagramEditorChannelApiImpl.prototype.kogitoNotifications_removeNotifications = function (path) {
        this.defaultApiImpl.kogitoNotifications_removeNotifications(path);
    };
    ServerlessWorkflowDiagramEditorChannelApiImpl.prototype.kogitoNotifications_setNotifications = function (path, notifications) {
        this.defaultApiImpl.kogitoNotifications_setNotifications(path, notifications);
    };
    ServerlessWorkflowDiagramEditorChannelApiImpl.prototype.kogitoWorkspace_newEdit = function (edit) {
        this.defaultApiImpl.kogitoWorkspace_newEdit(edit);
    };
    ServerlessWorkflowDiagramEditorChannelApiImpl.prototype.kogitoWorkspace_openFile = function (path) {
        this.defaultApiImpl.kogitoWorkspace_openFile(path);
    };
    ServerlessWorkflowDiagramEditorChannelApiImpl.prototype.kogitoWorkspace_resourceContentRequest = function (request) {
        return this.defaultApiImpl.kogitoWorkspace_resourceContentRequest(request);
    };
    ServerlessWorkflowDiagramEditorChannelApiImpl.prototype.kogitoWorkspace_resourceListRequest = function (request) {
        return this.defaultApiImpl.kogitoWorkspace_resourceListRequest(request);
    };
    ServerlessWorkflowDiagramEditorChannelApiImpl.prototype.kogitoEditor_theme = function () {
        return this.defaultApiImpl.kogitoEditor_theme();
    };
    ServerlessWorkflowDiagramEditorChannelApiImpl.prototype.kogitoSwfDiagramEditor__onNodeSelected = function (args) {
        var _a;
        return (_a = this.textEditorEnvelopeApi) === null || _a === void 0 ? void 0 : _a.notifications.kogitoSwfTextEditor__moveCursorToNode.send(args);
    };
    return ServerlessWorkflowDiagramEditorChannelApiImpl;
}());
exports.ServerlessWorkflowDiagramEditorChannelApiImpl = ServerlessWorkflowDiagramEditorChannelApiImpl;
//# sourceMappingURL=ServerlessWorkflowDiagramEditorChannelApiImpl.js.map